## tvheadend-dmo 4.3~1975.g23754f9a6

=== Makefile ===
#
#  Tvheadend streaming server.
#  Copyright (C) 2007-2009 Andreas Öman
#  Copyright (C) 2012-2015 Adam Sutton
#  Copyright (C) 2012-2018 Jaroslav Kysela
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

#
# Configuration
#

include $(dir $(lastword $(MAKEFILE_LIST))).config.mk
include $(dir $(lastword $(MAKEFILE_LIST)))Makefile.common
PROG      := $(BUILDDIR)/tvheadend
LANGUAGES ?= $(LANGUAGES_ALL)

#
# Common compiler flags
#

# https://wiki.debian.org/Hardening
CFLAGS  += -g
ifeq ($(CONFIG_CCDEBUG),yes)
CFLAGS  += -O0
else
CFLAGS  += -O2 -D_FORTIFY_SOURCE=2
endif
ifeq ($(CONFIG_PIE),yes)
CFLAGS  += -fPIE
else
CFLAGS  += -fPIC
endif
ifeq ($(CONFIG_W_UNUSED_RESULT),yes)
CFLAGS  += -Wunused-result
endif
ifneq ($(CFLAGS_NO_WERROR),yes)
CFLAGS  += -Werror
endif
CFLAGS  += -Wall -Wwrite-strings -Wno-deprecated-declarations
CFLAGS  += -Wmissing-prototypes
CFLAGS  += -fms-extensions -funsigned-char -fno-strict-aliasing
ifeq ($(COMPILER), gcc)
CFLAGS  += -Wno-stringop-truncation -Wno-stringop-overflow
endif
CFLAGS  += -D_FILE_OFFSET_BITS=64
CFLAGS  += -I${BUILDDIR} -I${ROOTDIR}/src -I${ROOTDIR}
ifeq ($(CONFIG_ANDROID),yes)
LDFLAGS += -ldl -lm
else
LDFLAGS += -ldl -lpthread -lm
endif
ifeq ($(CONFIG_PIE),yes)
LDFLAGS += -pie
endif
LDFLAGS += -Wl,-z,now
ifeq ($(CONFIG_LIBICONV),yes)
LDFLAGS += -liconv
endif
ifeq ($(PLATFORM), darwin)
LDFLAGS += -framework CoreServices
else
ifeq ($(CONFIG_ANDROID),no)
LDFLAGS += -lrt
endif
endif
ifeq ($(CONFIG_GPERFTOOLS),yes)
CFLAGS += -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free
LDFLAGS += -lprofiler -ltcmalloc
endif

ifeq ($(COMPILER), clang)
CFLAGS  += -Wno-microsoft -Qunused-arguments -Wno-unused-function
CFLAGS  += -Wno-unused-value -Wno-tautological-constant-out-of-range-compare
CFLAGS  += -Wno-parentheses-equality
endif


# LIBAV ########################################################################

ifeq ($(CONFIG_LIBAV),yes)

FFMPEG_LIBS := \
    libavfilter \
    libswresample \
    libavresample \
    libswscale \
    libavformat \
    libavcodec \
    libavutil

# FFMPEG_STATIC
ifeq ($(CONFIG_FFMPEG_STATIC),yes)

ifeq (,$(wildcard ${BUILDDIR}/libffmpeg_stamp))
# build static FFMPEG as first for pkgconfig
ffmpeg_all: ${BUILDDIR}/libffmpeg_stamp
	$(MAKE) all
endif

FFMPEG_PREFIX := $(BUILDDIR)/ffmpeg/build/ffmpeg
FFMPEG_LIBDIR := $(FFMPEG_PREFIX)/lib
FFMPEG_INCDIR := $(FFMPEG_PREFIX)/include
FFMPEG_CONFIG := \
    PKG_CONFIG_LIBDIR=$(FFMPEG_LIBDIR)/pkgconfig $(PKG_CONFIG) \
    --define-variable=prefix=$(FFMPEG_PREFIX) \
    --define-variable=includedir=$(FFMPEG_INCDIR) \
    --define-variable=libdir=$(FFMPEG_LIBDIR) --static

ifeq ($(CONFIG_LIBX264_STATIC),yes)
FFMPEG_DEPS += libx264
endif

ifeq ($(CONFIG_LIBX265_STATIC),yes)
FFMPEG_DEPS += libx265
endif

ifeq ($(CONFIG_LIBVPX_STATIC),yes)
FFMPEG_DEPS += libvpx
endif

ifeq ($(CONFIG_LIBOGG_STATIC),yes)
FFMPEG_DEPS += libogg
endif

ifeq ($(CONFIG_LIBTHEORA_STATIC),yes)
FFMPEG_DEPS += libtheoraenc libtheoradec libtheora
endif

ifeq ($(CONFIG_LIBVORBIS_STATIC),yes)
FFMPEG_DEPS += libvorbisfile libvorbisenc libvorbis
endif

ifeq ($(CONFIG_LIBFDKAAC_STATIC),yes)
FFMPEG_DEPS += libfdk-aac
endif

ifeq ($(CONFIG_LIBOPUS_STATIC),yes)
FFMPEG_DEPS += libopus
endif

LDFLAGS += $(foreach lib,$(FFMPEG_LIBS),$(FFMPEG_LIBDIR)/$(lib).a)
LDFLAGS += $(foreach lib,$(FFMPEG_DEPS),$(FFMPEG_LIBDIR)/$(lib).a)

else # !FFMPEG_STATIC

FFMPEG_CONFIG := $(PKG_CONFIG)

endif # FFMPEG_STATIC

CFLAGS  += `$(FFMPEG_CONFIG) --cflags $(FFMPEG_LIBS)`
LDFLAGS += `$(FFMPEG_CONFIG) --libs $(FFMPEG_LIBS)`

endif

# LIBAV ########################################################################


ifeq ($(CONFIG_HDHOMERUN_STATIC),yes)
CFLAGS  += -I$(BUILDDIR)/hdhomerun
LDFLAGS += $(BUILDDIR)/hdhomerun/libhdhomerun/libhdhomerun.a
endif

vpath %.c $(ROOTDIR)
vpath %.h $(ROOTDIR)

#
# Other config
#

BUNDLE_FLAGS-${CONFIG_ZLIB} += -z
BUNDLE_FLAGS-${CONFIG_PNGQUANT} += -q
BUNDLE_FLAGS = ${BUNDLE_FLAGS-yes}

#
# Binaries/Scripts
#

MKBUNDLE = $(PYTHON) $(ROOTDIR)/support/mkbundle
XGETTEXT2 ?= $(XGETTEXT) --language=C --from-code=utf-8 --add-comments=/ -k_ -kN_ -s
MSGMERGE ?= msgmerge

#
# Debug/Output
#

BRIEF  = CC MKBUNDLE
ifndef V
ECHO   = printf "%-16s%s\n" $(1) $(2)
MSG    = $(subst $(BUILDDIR)/,,$@)
$(foreach VAR,$(BRIEF), \
	$(eval p$(VAR) = @$$(call ECHO,$(VAR),$$(MSG)); $($(VAR))))
else
$(foreach VAR,$(BRIEF), \
	$(eval p$(VAR) = $($(VAR))))
endif

#
# Core
#
SRCS-1 = \
	src/version.c \
	src/uuid.c \
	src/main.c \
	src/tvhlog.c \
	src/tprofile.c \
	src/idnode.c \
	src/prop.c \
	src/proplib.c \
	src/utils.c \
	src/wrappers.c \
	src/tvh_thread.c \
	src/tvhvfs.c \
	src/access.c \
	src/tcp.c \
	src/udp.c \
	src/url.c \
	src/http.c \
	src/notify.c \
	src/file.c \
	src/epg.c \
	src/epgdb.c\
	src/epggrab.c\
	src/spawn.c \
	src/packet.c \
	src/esstream.c \
	src/streaming.c \
	src/channels.c \
	src/subscriptions.c \
	src/service.c \
	src/htsp_server.c \
	src/htsmsg.c \
	src/htsmsg_binary.c \
	src/htsmsg_binary2.c \
	src/htsmsg_json.c \
	src/htsmsg_xml.c \
	src/misc/dbl.c \
	src/misc/json.c \
	src/misc/m3u.c \
	src/settings.c \
	src/htsbuf.c \
	src/trap.c \
	src/htsstr.c \
	src/tvhpoll.c \
	src/huffman.c \
	src/filebundle.c \
	src/config.c \
	src/lang_codes.c \
	src/lang_str.c \
	src/imagecache.c \
	src/tvhtime.c \
	src/service_mapper.c \
	src/input.c \
	src/httpc.c \
	src/rtsp.c \
	src/download.c \
	src/fsmonitor.c \
	src/cron.c \
	src/esfilter.c \
	src/intlconv.c \
	src/profile.c \
	src/bouquet.c \
	src/lock.c \
	src/string_list.c \
	src/wizard.c \
	src/memoryinfo.c

SRCS = $(SRCS-1)
I18N-C = $(SRCS-1)

SRCS-ZLIB = \
	src/zlib.c
SRCS-${CONFIG_ZLIB} += $(SRCS-ZLIB)

SRCS-UPNP = \
	src/upnp.c
SRCS-${CONFIG_UPNP} += $(SRCS-UPNP)
I18N-C += $(SRCS-UPNP)

# SATIP Server
SRCS-SATIP-SERVER = \
	src/satip/server.c \
	src/satip/rtsp.c \
	src/satip/rtp.c
SRCS-${CONFIG_SATIP_SERVER} += $(SRCS-SATIP-SERVER)
I18N-C += $(SRCS-SATIP-SERVER)

SRCS-2 = \
	src/api.c \
	src/api/api_config.c \
	src/api/api_status.c \
	src/api/api_idnode.c \
	src/api/api_raw.c \
	src/api/api_input.c \
	src/api/api_channel.c \
	src/api/api_service.c \
	src/api/api_mpegts.c \
	src/api/api_epg.c \
	src/api/api_epggrab.c \
	src/api/api_imagecache.c \
	src/api/api_esfilter.c \
	src/api/api_intlconv.c \
	src/api/api_access.c \
	src/api/api_dvr.c \
	src/api/api_caclient.c \
	src/api/api_profile.c \
	src/api/api_bouquet.c \
	src/api/api_language.c \
	src/api/api_satip.c \
	src/api/api_timeshift.c \
	src/api/api_wizard.c

SRCS-2 += \
        src/parsers/message.c \
	src/parsers/parsers.c \
	src/parsers/bitstream.c \
	src/parsers/parser_h264.c \
	src/parsers/parser_hevc.c \
	src/parsers/parser_latm.c \
	src/parsers/parser_avc.c \
	src/parsers/parser_teletext.c

SRCS-2 += \
	src/epggrab/module.c \
	src/epggrab/channel.c \
	src/epggrab/module/xmltv.c

SRCS-2 += \
	src/plumbing/tsfix.c \
	src/plumbing/globalheaders.c

SRCS-2 += \
	src/dvr/dvr_db.c \
	src/dvr/dvr_rec.c \
	src/dvr/dvr_autorec.c \
	src/dvr/dvr_timerec.c \
	src/dvr/dvr_vfsmgr.c \
	src/dvr/dvr_config.c \
	src/dvr/dvr_cutpoints.c

SRCS-2 += \
	src/webui/webui.c \
	src/webui/comet.c \
	src/webui/extjs.c \
	src/webui/simpleui.c \
	src/webui/statedump.c \
	src/webui/html.c \
	src/webui/webui_api.c \
	src/webui/xmltv.c \
	src/webui/doc_md.c

SRCS-2 += \
	src/muxer.c \
	src/muxer/muxer_pass.c \
	src/muxer/ebml.c \
	src/muxer/muxer_mkv.c \
	src/muxer/muxer_audioes.c

SRCS += $(SRCS-2)
I18N-C += $(SRCS-2)

#
# Optional code
#

# MPEGTS core, order by usage (psi lib, tsdemux)
SRCS-MPEGTS = \
	src/descrambler/descrambler.c \
	src/descrambler/caclient.c \
	src/descrambler/caid.c \
	src/input/mpegts.c \
	src/input/mpegts/mpegts_pid.c \
	src/input/mpegts/mpegts_input.c \
	src/input/mpegts/tsdemux.c \
	src/input/mpegts/dvb_psi_hbbtv.c \
	src/input/mpegts/dvb_psi_lib.c \
	src/input/mpegts/mpegts_network.c \
	src/input/mpegts/mpegts_mux.c \
	src/input/mpegts/mpegts_service.c \
	src/input/mpegts/mpegts_table.c \
	src/input/mpegts/dvb_support.c \
	src/input/mpegts/dvb_charset.c \
	src/input/mpegts/dvb_psi_pmt.c \
	src/input/mpegts/dvb_psi.c \
	src/input/mpegts/fastscan.c \
	src/input/mpegts/mpegts_mux_sched.c \
        src/input/mpegts/mpegts_network_scan.c \
        src/input/mpegts/mpegts_tsdebug.c \
        src/descrambler/tsdebugcw.c
SRCS-$(CONFIG_MPEGTS) += $(SRCS-MPEGTS)
I18N-C += $(SRCS-MPEGTS)

# MPEGTS DVB
SRCS-MPEGTS-DVB = \
	src/input/mpegts/mpegts_network_dvb.c \
	src/input/mpegts/mpegts_mux_dvb.c \
	src/input/mpegts/scanfile.c
SRCS-${CONFIG_MPEGTS_DVB} += $(SRCS-MPEGTS-DVB)
I18N-C += $(SRCS-MPEGTS-DVB)

# MPEGTS EPG
SRCS-MPEGTS-EPG = \
	src/epggrab/otamux.c\
	src/epggrab/module/eit.c \
	src/epggrab/module/eitpatternlist.c \
	src/epggrab/module/psip.c \
	src/epggrab/support/freesat_huffman.c \
	src/epggrab/module/opentv.c
SRCS-$(CONFIG_MPEGTS) += $(SRCS-MPEGTS-EPG)
I18N-C += $(SRCS-MPEGTS-EPG)

# LINUX DVB
SRCS-LINUXDVB = \
	src/input/mpegts/linuxdvb/linuxdvb.c \
	src/input/mpegts/linuxdvb/linuxdvb_adapter.c \
	src/input/mpegts/linuxdvb/linuxdvb_frontend.c \
	src/input/mpegts/linuxdvb/linuxdvb_satconf.c \
	src/input/mpegts/linuxdvb/linuxdvb_lnb.c \
	src/input/mpegts/linuxdvb/linuxdvb_switch.c \
	src/input/mpegts/linuxdvb/linuxdvb_rotor.c \
	src/input/mpegts/linuxdvb/linuxdvb_en50494.c
SRCS-${CONFIG_LINUXDVB} += $(SRCS-LINUXDVB)
I18N-C += $(SRCS-LINUXDVB)

# SATIP Client
SRCS-SATIP-CLIENT = \
	src/input/mpegts/satip/satip.c \
	src/input/mpegts/satip/satip_frontend.c \
	src/input/mpegts/satip/satip_satconf.c \
	src/input/mpegts/satip/satip_rtsp.c
SRCS-${CONFIG_SATIP_CLIENT} += $(SRCS-SATIP-CLIENT)
I18N-C += $(SRCS-SATIP-CLIENT)

# HDHOMERUN
SRCS-HDHOMERUN = \
	src/input/mpegts/tvhdhomerun/tvhdhomerun.c \
	src/input/mpegts/tvhdhomerun/tvhdhomerun_frontend.c
SRCS-${CONFIG_HDHOMERUN_CLIENT} += $(SRCS-HDHOMERUN)
I18N-C += $(SRCS-HDHOMERUN)

# IPTV
SRCS-IPTV = \
	src/input/mpegts/iptv/iptv.c \
	src/input/mpegts/iptv/iptv_mux.c \
	src/input/mpegts/iptv/iptv_service.c \
	src/input/mpegts/iptv/iptv_http.c \
	src/input/mpegts/iptv/iptv_udp.c \
	src/input/mpegts/iptv/iptv_rtsp.c \
	src/input/mpegts/iptv/iptv_rtcp.c \
	src/input/mpegts/iptv/iptv_pipe.c \
	src/input/mpegts/iptv/iptv_file.c \
	src/input/mpegts/iptv/iptv_auto.c
SRCS-${CONFIG_IPTV} += $(SRCS-IPTV)
I18N-C += $(SRCS-IPTV)

# TSfile
SRCS-TSFILE = \
	src/input/mpegts/tsfile/tsfile.c \
	src/input/mpegts/tsfile/tsfile_input.c \
	src/input/mpegts/tsfile/tsfile_mux.c
SRCS-$(CONFIG_TSFILE) += $(SRCS-TSFILE)
I18N-C += $(SRCS-TSFILE)

# Timeshift
SRCS-TIMESHIFT = \
	src/timeshift.c \
	src/timeshift/timeshift_filemgr.c \
	src/timeshift/timeshift_writer.c \
	src/timeshift/timeshift_reader.c
SRCS-${CONFIG_TIMESHIFT} += $(SRCS-TIMESHIFT)
I18N-C += $(SRCS-TIMESHIFT)

# Inotify
SRCS-INOTIFY = \
	src/dvr/dvr_inotify.c
SRCS-${CONFIG_INOTIFY} += $(SRCS-INOTIFY)
I18N-C += $(SRCS-INOTIFY)
ifeq ($(CONFIG_INOTIFY), yes)
ifeq ($(PLATFORM), freebsd)
LDFLAGS += -linotify
endif
endif

# Avahi
SRCS-AVAHI = \
	src/avahi.c
SRCS-$(CONFIG_AVAHI) += $(SRCS-AVAHI)
I18N-C += $(SRCS-AVAHI)

# Bonjour
SRCS-BONJOUR = \
	src/bonjour.c
SRCS-$(CONFIG_BONJOUR) += $(SRCS-BONJOUR)
I18N-C += $(SRCS-BONJOUR)

# codecs
SRCS-CODECS = $(wildcard src/transcoding/codec/*.c)
SRCS-CODECS += $(wildcard src/transcoding/codec/codecs/*.c)
ifneq (,$(filter yes,$(CONFIG_LIBX264) $(CONFIG_LIBX265)))
LIBS-CODECS += libx26x
endif
ifeq ($(CONFIG_LIBVPX),yes)
LIBS-CODECS += libvpx
endif

=== debian/changelog ===
tvheadend-dmo (4.3~1975.g23754f9a6-dmo1+deb11u1) stable; urgency=medium

  * Build with --enable-omx.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Nov 2021 19:04:07 +0100

tvheadend-dmo (4.3~1975.g23754f9a6-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 14:25:32 +0200

tvheadend-dmo (4.3~1966.g04853f0da-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Jun 2021 07:51:17 +0200

tvheadend-dmo (4.3~1965.g9476680f8-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Jun 2021 14:58:49 +0200

tvheadend-dmo (4.3~1964.g637844055-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 May 2021 09:26:12 +0200

tvheadend-dmo (4.3~1959.ge66581e73-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 May 2021 09:11:45 +0200

tvheadend-dmo (4.3~1958.gfdc3f945f-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 May 2021 08:24:18 +0200

tvheadend-dmo (4.3~1950.g98a7c6cfd-dmo1) unstable; urgency=medium

  * New git checkout.
  * Add pid file hint for init.d script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Apr 2021 00:49:42 +0200

tvheadend-dmo (4.3~1944.g6c537b1fd-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Mar 2021 07:25:34 +0100

tvheadend-dmo (4.3~1942.gd67fff914-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Mar 2021 10:26:33 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo6) unstable; urgency=medium

  * Fix purge package in postrm script.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Mar 2021 08:19:35 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo5) unstable; urgency=medium

  * debian/control add a Pre-Depends: field for tvheadend.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Mar 2021 09:20:41 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo4) unstable; urgency=medium

  * Add libsystemd-dev to Build-depends
  * Comment which values are read by systemd or/and init.d in
    /etc/defaulmt/tvheadend.default

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Mar 2021 15:05:29 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo3) unstable; urgency=medium

  * Build with --enable-libsystemd_daemon
  * Various fixes for debconf and systemd.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Mar 2021 10:10:45 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo2) unstable; urgency=medium

  * Force dh_python3 to write python3 shebang.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 22:23:56 +0100

tvheadend-dmo (4.3~1940.gfe0e5f1f9-dmo1) unstable; urgency=medium

  * Switch to git release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Mar 2021 16:27:43 +0100

tvheadend-dmo (4.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Jan 2019 12:45:11 +0100

tvheadend-dmo (4.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Oct 2018 17:48:38 +0200

tvheadend-dmo (4.2.6-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 17:51:27 +0200

tvheadend-dmo (4.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Mar 2018 12:35:59 +0200

tvheadend-dmo (4.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Dec 2017 12:46:26 +0100

tvheadend-dmo (4.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Oct 2017 17:21:51 +0200

tvheadend-dmo (4.2.3-dmo4) unstable; urgency=medium

  * Really rebuild against libhdhomerun4. To be sure :
    Build-Depends libhdhomerun-dev (>= 20170815-2~)

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Aug 2017 17:13:10 +0200

tvheadend-dmo (4.2.3-dmo3) unstable; urgency=medium

  * Rebuild against libhdhomerun4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Aug 2017 13:38:24 +0200

tvheadend-dmo (4.2.3-dmo2) unstable; urgency=medium

  * Set hts user HOME to /var/lib/hts and delete HOME when the package is
    purged (Thanks to Andreas Beckmann for the bug report).


 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Jul 2017 18:47:10 +0200

tvheadend-dmo (4.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jul 2017 10:55:35 +0200

tvheadend-dmo (4.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 May 2017 15:04:51 +0200

tvheadend-dmo (4.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Apr 2017 15:00:54 +0200

tvheadend-dmo (4.0.9-dmo5) unstable; urgency=medium

  * Rebuild against libhdhomerun3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Dec 2016 07:57:57 +0100

tvheadend-dmo (4.0.9-dmo4) unstable; urgency=medium

  * Rebuild against libssl1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2016 12:20:05 +0100

tvheadend-dmo (4.0.9-dmo3) unstable; urgency=medium

  * Don't need to Build-Depends on git-core (Was needed by
    --enable-dvbscan).
  * Add back dvb-apps in Build-Depends (The configure script search for
    libdvben50221).


=== debian/control ===
Source: tvheadend-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://tvheadend.org
Standards-Version: 4.5.1
#Build-Conflicts: libavresample-dev
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
 liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
 libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
 libavfilter-dev, libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev,
 libx264-dev, libx265-dev, libvpx-dev, libsystemd-dev

Package: tvheadend
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 tvheadend-data (>= ${source:Version}), adduser, lsb-base, dvb-apps, dtv-scan-tables
Recommends: xmltv-util
Enhances: showtime
Replaces: hts-tvheadend
Description: TV streaming server and recorder
 Tvheadend is a TV streaming server for Linux supporting DVB, ATSC, IPTV,
 and Analog video (V4L) as input sources. Can be used as a backend to
 Showtime, XBMC and various other clients.

Package: tvheadend-data
Architecture: all
Depends: ${misc:Depends}
Replaces: hts-tvheadend, tvheadend (<< 4.0.7)
Description: TV streaming server and recorder
 Tvheadend is a TV streaming server for Linux supporting DVB, ATSC, IPTV,
 and Analog video (V4L) as input sources. Can be used as a backend to
 Showtime, XBMC and various other clients.
 .
 This package contains data files for Tvheadend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-dvbscan \
	--disable-ffmpeg_static \
	--disable-hdhomerun_static \
	--disable-libmfx_static \
	--disable-libopus_static \
	--disable-libtheora_static \
	--disable-libvorbis_static \
	--disable-libvpx_static \
	--disable-libx264_static \
	--disable-libx265_static \
	--enable-dvbcsa \
	--enable-hdhomerun_client \
	--enable-libav \
	--enable-libsystemd_daemon \
	--enable-nvenc \
	--enable-omx \
	--nowerror \
	--python=python3

# Not needed, because not used.
##--enable-libfdkaac --disable-libfdkaac_static

#	exit 1

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	-$(MAKE) distclean

override_dh_clean:
	dh_clean src/version.c src/webui/static/intl/*.gz src/webui/static/*.gz \
	support/doc/mistune.pyc src/docs_inc.c

	${RM} -rf support/doc/__pycache__/

=== debian/watch ===
version=4

opts="uversionmangle=s/\.1|4\.3//" \
https://github.com/tvheadend/tvheadend/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## tvheadend-dmo 4.3~2120.g18effa8ad

=== Makefile ===
--- 
+++ 
@@ -51,10 +51,8 @@
 endif
 CFLAGS  += -Wall -Wwrite-strings -Wno-deprecated-declarations
 CFLAGS  += -Wmissing-prototypes
-CFLAGS  += -fms-extensions -funsigned-char -fno-strict-aliasing
-ifeq ($(COMPILER), gcc)
-CFLAGS  += -Wno-stringop-truncation -Wno-stringop-overflow
-endif
+CFLAGS  += -fno-strict-aliasing
+CFLAGS  += -fms-extensions -funsigned-char
 CFLAGS  += -D_FILE_OFFSET_BITS=64
 CFLAGS  += -I${BUILDDIR} -I${ROOTDIR}/src -I${ROOTDIR}
 ifeq ($(CONFIG_ANDROID),yes)
@@ -69,6 +67,10 @@
 ifeq ($(CONFIG_LIBICONV),yes)
 LDFLAGS += -liconv
 endif
+ifeq ($(CONFIG_GNU_LIBICONV),yes)
+CFLAGS += -D_GNU_LIBICONV
+LDFLAGS += -liconv
+endif
 ifeq ($(PLATFORM), darwin)
 LDFLAGS += -framework CoreServices
 else
@@ -95,7 +97,6 @@
 FFMPEG_LIBS := \
     libavfilter \
     libswresample \
-    libavresample \
     libswscale \
     libavformat \
     libavcodec \
@@ -226,6 +227,7 @@
 	src/access.c \
 	src/tcp.c \
 	src/udp.c \
+	src/udp_stream.c \
 	src/url.c \
 	src/http.c \
 	src/notify.c \

=== debian/changelog ===
tvheadend-dmo (4.3~2120.g18effa8ad-dmo1+deb12u1) bookworm; urgency=medium

  * Add upstream patch to fix autorec create/edit TypeError with Firefox 134
    (Thanks to Jan Korbel for the bug report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 18:49:17 +0200

tvheadend-dmo (4.3~2120.g18effa8ad-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Apr 2023 10:36:15 +0200

tvheadend-dmo (4.3~2117.gf32c7c59a-dmo1) unstable; urgency=medium

  * New git checkout.
  * Add one line upstream patch to fix build with ffmpeg 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Apr 2023 01:05:33 +0200

tvheadend-dmo (4.3~2116.ge0f2d3234-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Apr 2023 16:11:53 +0200

tvheadend-dmo (4.3~2115.ga10f7ea44-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Apr 2023 15:05:03 +0200

tvheadend-dmo (4.3~2110.gef13a600a-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Mar 2023 07:52:24 +0100

tvheadend-dmo (4.3~2106.g9e1eb89be-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Mar 2023 15:05:37 +0100

tvheadend-dmo (4.3~2105.g76a6263f1-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Mar 2023 16:48:15 +0100

tvheadend-dmo (4.3~2101.g39df64bb8-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2023 08:23:58 +0100

tvheadend-dmo (4.3~2098.g44bf691ac-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Feb 2023 08:42:05 +0100

tvheadend-dmo (4.3~2096.g02987438d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Feb 2023 01:08:41 +0100

tvheadend-dmo (4.3~2089.g5948200c7-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Jan 2023 11:09:41 +0100

tvheadend-dmo (4.3~2077.g760f32bf5-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Jan 2023 13:27:52 +0100

tvheadend-dmo (4.3~2073.gcc6028336-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 11 Jan 2023 10:58:17 +0100

tvheadend-dmo (4.3~2069.gc9a156a25-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Dec 2022 09:48:44 +0100

tvheadend-dmo (4.3~2063.gd88549603-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Dec 2022 08:23:17 +0100

tvheadend-dmo (4.3~2059.g7b95ba4cf-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Nov 2022 13:59:04 +0100

tvheadend-dmo (4.3~2050.g52c3ed3ef-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Nov 2022 09:41:50 +0100

tvheadend-dmo (4.3~2048.g185013382-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Oct 2022 09:47:59 +0200

tvheadend-dmo (4.3~2040.g604d81a29-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Oct 2022 14:51:26 +0200

tvheadend-dmo (4.3~2038.g5f9404117-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Oct 2022 01:39:29 +0200

tvheadend-dmo (4.3~2035.g4355488b8-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Oct 2022 20:00:23 +0200

tvheadend-dmo (4.3~2034.g8f8877430-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Oct 2022 08:17:09 +0200

tvheadend-dmo (4.3~2033.g4741b3c19-dmo2) unstable; urgency=medium

  * Don't Depends on sysvinit-utils but lsb-base

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Sep 2022 08:56:46 +0200

tvheadend-dmo (4.3~2033.g4741b3c19-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Sep 2022 16:03:53 +0200

tvheadend-dmo (4.3~2030.gca756e3f7-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Sep 2022 07:45:02 +0200

tvheadend-dmo (4.3~2027.ge3f4f222e-dmo1) unstable; urgency=medium

  * New git checkout.
  * Still build with ffmpeg 4.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Jul 2022 16:48:30 +0200

tvheadend-dmo (4.3~2024.g420786927-dmo2) unstable; urgency=medium

  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 08:25:54 +0200

tvheadend-dmo (4.3~2024.g420786927-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Apr 2022 14:25:30 +0200

tvheadend-dmo (4.3~2018.g58df4bf51-dmo1) unstable; urgency=medium

  * New git checkout.
  * Remove obsolet syslog.target in service file (Thanks lintian)..

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Apr 2022 09:20:13 +0200

tvheadend-dmo (4.3~2013.g90ba8b1c1-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Apr 2022 18:37:47 +0200

tvheadend-dmo (4.3~2011.g2bf162928-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Mar 2022 18:12:48 +0200



=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://tvheadend.org
-Standards-Version: 4.5.1
-#Build-Conflicts: libavresample-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
- libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
- libavfilter-dev, libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev,
- libx264-dev, libx265-dev, libvpx-dev, libsystemd-dev
+ libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~), quilt,
+ libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
+ libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev
 
 Package: tvheadend
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- tvheadend-data (>= ${source:Version}), adduser, lsb-base, dvb-apps, dtv-scan-tables
+ tvheadend-data (>= ${source:Version}), adduser, sysvinit-utils (>= 3.05-4~), dvb-apps, dtv-scan-tables
 Recommends: xmltv-util
 Enhances: showtime
 Replaces: hts-tvheadend

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with quilt
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -27,6 +27,8 @@
 # Not needed, because not used.
 ##--enable-libfdkaac --disable-libfdkaac_static
 
+##--enable-mmal
+
 #	exit 1
 
 override_dh_python3:
@@ -37,6 +39,10 @@
 
 override_dh_clean:
 	dh_clean src/version.c src/webui/static/intl/*.gz src/webui/static/*.gz \
-	support/doc/mistune.pyc src/docs_inc.c
+	support/doc/mistune.pyc src/docs_inc.c .config.mk src/tvh_locale_inc.c \
+	src/webui/extjs-debug.c src/webui/extjs-std.c src/webui/extjs-tv-debug.c \
+	src/webui/extjs-tv-std.c
 
 	${RM} -rf support/doc/__pycache__/
+
+	${RM} -rf build.linux

## tvheadend-dmo 4.3~2420.g19026f320

=== debian/changelog ===
tvheadend-dmo (4.3~2420.g19026f320-dmo~bpo12+1) stable-backports; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Jun 2025 06:54:54 +0200

tvheadend-dmo (4.3~2410.g808a87a6a-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Jun 2025 16:30:20 +0200

=== debian/control ===
Source: tvheadend-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://tvheadend.org
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
 liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
 libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
 libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
 libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev,

Package: tvheadend
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 tvheadend-data (>= ${source:Version}), adduser, sysvinit-utils (>= 3.05-4~), dvb-apps, dtv-scan-tables,
Recommends: xmltv-util,
Enhances: showtime,
Replaces: hts-tvheadend,
Description: TV streaming server and digital video recorder
 Tvheadend is a TV streaming server for Linux supporting DVB, ATSC, IPTV,
 and Analog video (V4L) as input sources. Can be used as a backend to
 Showtime, XBMC and various other clients.

Package: tvheadend-data
Architecture: all
Depends: ${misc:Depends},
Replaces: hts-tvheadend, tvheadend (<< 4.0.7),
Description: TV streaming server and recorder
 Tvheadend is a TV streaming server for Linux supporting DVB, ATSC, IPTV,
 and Analog video (V4L) as input sources. Can be used as a backend to
 Showtime, XBMC and various other clients.
 .
 This package contains data files for Tvheadend.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -31,11 +31,15 @@
 
 #	exit 1
 
+override_dh_auto_build:
+	dh_auto_build -- \
+	V=1
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_clean:
-	-$(MAKE) distclean
+	[ ! -f /support/.mk ] || $(MAKE) distclean
 
 override_dh_clean:
 	dh_clean src/version.c src/webui/static/intl/*.gz src/webui/static/*.gz \
@@ -46,3 +50,5 @@
 	${RM} -rf support/doc/__pycache__/
 
 	${RM} -rf build.linux
+
+	debconf-updatepo

## tvheadend-dmo 4.3~2432.g0af87f13f

=== debian/changelog ===
tvheadend-dmo (4.3~2432.g0af87f13f-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Jul 2025 14:16:16 +0200

tvheadend-dmo (4.3~2422.g61d728e1a-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Jun 2025 07:55:51 +0200

tvheadend-dmo (4.3~2420.g19026f320-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 12 Jun 2025 10:34:50 +0200

tvheadend-dmo (4.3~2410.g808a87a6a-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Jun 2025 08:21:46 +0200

tvheadend-dmo (4.3~2408.g85360924d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jun 2025 07:47:16 +0200

tvheadend-dmo (4.3~2406.g128854638-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 11:30:18 +0200

tvheadend-dmo (4.3~2404.gc0c55c783-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 May 2025 08:00:30 +0200

tvheadend-dmo (4.3~2401.g27b12a92d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 May 2025 15:58:40 +0200

tvheadend-dmo (4.3~2397.gebac08749-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 May 2025 07:51:56 +0200

tvheadend-dmo (4.3~2396.g36ba82848-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 May 2025 09:06:22 +0200

tvheadend-dmo (4.3~2394.g7da199b61-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 May 2025 07:52:55 +0200

tvheadend-dmo (4.3~2375.g653bd0400-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Apr 2025 11:59:27 +0200

tvheadend-dmo (4.3~2374.g26ec161fb-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 20 Oct 2024 15:47:54 +0200

tvheadend-dmo (4.3~2370.g28de5c092-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Sep 2024 11:20:24 +0200

tvheadend-dmo (4.3~2360.g266d03527-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2024 14:30:53 +0200

tvheadend-dmo (4.3~2351.g078a822cf-dmo1) unstable; urgency=medium

  * New git checkout.
  * Remove ffmpeg-7 patch fixed upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Aug 2024 15:12:17 +0200

tvheadend-dmo (4.3~2344.gd2e41b553-dmo2) unstable; urgency=medium

  * Add patch from PR #1721 to fix build with ffmpeg 7.x

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Jul 2024 17:26:21 +0200

tvheadend-dmo (4.3~2344.gd2e41b553-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Jun 2024 10:55:53 +0200

tvheadend-dmo (4.3~2336.g366e56290-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Jun 2024 11:10:39 +0200

tvheadend-dmo (4.3~2323.g73a6bd00d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Apr 2024 17:29:15 +0200

tvheadend-dmo (4.3~2300.g1212b940b-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Mar 2024 09:21:56 +0100

tvheadend-dmo (4.3~2286.gae51d24fe-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Feb 2024 08:51:00 +0100

tvheadend-dmo (4.3~2227.ga2ddd3066-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Feb 2024 14:52:49 +0100

tvheadend-dmo (4.3~2190.g2151348f7-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jan 2024 10:15:35 +0100

tvheadend-dmo (4.3~2180.g3dcb7ecf3-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Dec 2023 15:08:52 +0100

tvheadend-dmo (4.3~2175.gd85c957aa-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Dec 2023 12:55:30 +0100

tvheadend-dmo (4.3~2159.g62adbebfd-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Oct 2023 09:55:19 +0200

tvheadend-dmo (4.3~2156.g51adc0404-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Oct 2023 12:08:51 +0200

tvheadend-dmo (4.3~2155.gfe4df311d-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Sep 2023 08:52:36 +0200

tvheadend-dmo (4.3~2154.gec56067f4-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Aug 2023 10:06:58 +0200

tvheadend-dmo (4.3~2149.g17eebbef5-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Aug 2023 09:51:03 +0200

tvheadend-dmo (4.3~2145.g1c22d866f-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Aug 2023 08:58:39 +0200

tvheadend-dmo (4.3~2140.g14298acb6-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Jun 2023 13:12:41 +0200

tvheadend-dmo (4.3~2139.g7b5c52697-dmo1) unstable; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://tvheadend.org
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
  libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
  libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
- libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev,
+ libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev, pkgconf,
 
 Package: tvheadend
 Architecture: any

## tvheadend-dmo 4.3~2471.g5fd594910

=== debian/changelog ===
tvheadend-dmo (4.3~2471.g5fd594910-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Sep 2025 08:21:24 +0200

tvheadend-dmo (4.3~2466.g7cbe50c6e-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Sep 2025 16:39:13 +0200

tvheadend-dmo (4.3~2462.g664cc1b62-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Sep 2025 09:15:45 +0200

tvheadend-dmo (4.3~2451.g74720af62-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Sep 2025 17:46:10 +0200

tvheadend-dmo (4.3~2443.g24efc44e6-dmo1) unstable; urgency=medium

  * New git checkout.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Aug 2025 00:07:50 +0200

## tvheadend-dmo 4.3~2477.gd4dff154a

=== debian/changelog ===
tvheadend-dmo (4.3~2477.gd4dff154a-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Oct 2025 08:09:42 +0200

tvheadend-dmo (4.3~2477.gd4dff154a-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Oct 2025 16:53:03 +0200

=== debian/watch ===
version=4

opts="uversionmangle=s/\.1|4\.3//" \
https://github.com/tvheadend/tvheadend/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## tvheadend-dmo 4.3~2500.g7de8bf482

=== Makefile ===
--- 
+++ 
@@ -54,6 +54,7 @@
 CFLAGS  += -fno-strict-aliasing
 CFLAGS  += -fms-extensions -funsigned-char
 CFLAGS  += -D_FILE_OFFSET_BITS=64
+CFLAGS  += -D_TIME_BITS=64
 CFLAGS  += -I${BUILDDIR} -I${ROOTDIR}/src -I${ROOTDIR}
 ifeq ($(CONFIG_ANDROID),yes)
 LDFLAGS += -ldl -lm
@@ -274,6 +275,7 @@
 	src/intlconv.c \
 	src/profile.c \
 	src/bouquet.c \
+	src/ratinglabels.c \
 	src/lock.c \
 	src/string_list.c \
 	src/wizard.c \
@@ -319,6 +321,7 @@
 	src/api/api_caclient.c \
 	src/api/api_profile.c \
 	src/api/api_bouquet.c \
+	src/api/api_ratinglabel.c \
 	src/api/api_language.c \
 	src/api/api_satip.c \
 	src/api/api_timeshift.c \
@@ -512,7 +515,3 @@
 SRCS-CODECS += $(wildcard src/transcoding/codec/codecs/*.c)
 ifneq (,$(filter yes,$(CONFIG_LIBX264) $(CONFIG_LIBX265)))
 LIBS-CODECS += libx26x
-endif
-ifeq ($(CONFIG_LIBVPX),yes)
-LIBS-CODECS += libvpx
-endif

=== debian/changelog ===
tvheadend-dmo (4.3~2500.g7de8bf482-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Oct 2025 11:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
- libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~),
+ libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~), quilt,
  libva-dev, libpcre2-dev, zlib1g-dev, libopus-dev, libx264-dev, libx265-dev,
  libvpx-dev, libsystemd-dev, libavfilter-dev, libswresample-dev, pkgconf,
+ python3-rjsmin, python3-rcssmin,
 
 Package: tvheadend
 Architecture: any

## tvheadend-dmo 4.3~2518.g7f9710c13

=== rpm/Makefile ===
#
#  RPM build
#  Copyright (C) 2014 Jaroslav Kysela
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

TOPDIR   := $(realpath $(dir $(lastword $(MAKEFILE_LIST))))

include $(TOPDIR)/../.config.mk

SPEC     ?= tvheadend.spec.in

COMMIT   ?= $(shell git rev-parse HEAD)
COMMIT1   = $(shell git rev-parse $(COMMIT))
FVERSION  = $(shell cd .. && git describe --match "v*" $(COMMIT1) | sed "s/^v//")
VERSION   = $(shell echo "$(FVERSION)" | cut -d '-' -f 1)
RELEASE   = $(shell echo "$(FVERSION)" | cut -d '-' -f 2-10 | sed "s/-/~/g")
VERSION  ?= "0.0.0"
RELEASE  ?= 1
ifeq ($(VERSION),$(RELEASE))
RELEASE   = 1
REF       = $(COMMIT)
COMMITR   = $(shell echo $(COMMIT) | sed "s/^v//")
else
REF       = $(COMMIT1)
COMMITR   = $(COMMIT1)
endif
DEFINES   = --define '_topdir $(TOPDIR)'

tvheadend.spec: $(SPEC)
	@sed -e 's/@VERSION@/$(VERSION)/g' \
	     -e 's/@RELEASE@/$(RELEASE)/g' \
	     -e 's/@REF@/$(REF)/g' \
	     -e 's/@COMMIT@/$(COMMITR)/g' \
		$< > $@

SOURCES:
	mkdir -p $(foreach f,BUILD RPMS SOURCES SPECS SRPMS,$(f))

.PHONY: srpm
srpm: clean SOURCES tvheadend.spec
	spectool --get-files -C SOURCES tvheadend.spec
	rpmbuild $(DEFINES) -bs tvheadend.spec

.PHONY: build
build: clean SOURCES tvheadend.spec
	spectool --get-files -C SOURCES tvheadend.spec
	rpmbuild $(DEFINES) -ba tvheadend.spec

.PHONY: build-doozer
build-doozer: build
	@rm -f ../filelist.txt
	@for a in RPMS/$$(uname -m)/tvheadend-$(VERSION)-$(RELEASE)*.rpm \
	          RPMS/$$(uname -m)/tvheadend-debuginfo-$(VERSION)-$(RELEASE)*.rpm; do \
		name=$$(basename $$a); \
		echo "doozer-versioned-artifact:rpm/$$a:rpm:application/x-rpm:$$name"; \
		echo "rpm/$$a" >> ../filelist.txt; \
	 done
	

.PHONY: clean.
clean:
	rm -f tvheadend.spec
	rm -fr BUILD/*
	rm -f SOURCES/*

=== debian/changelog ===
tvheadend-dmo (4.3~2518.g7f9710c13-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Nov 2025 09:05:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with quilt
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## tvheadend-dmo 4.3~2529.g6fbcaba5e

=== debian/changelog ===
tvheadend-dmo (4.3~2529.g6fbcaba5e-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Nov 2025 15:43:00 +0100

## tvheadend-dmo 4.3~2549.g9f22b4d2b

=== debian/changelog ===
tvheadend-dmo (4.3~2549.g9f22b4d2b-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Dec 2025 14:28:32 +0100

## tvheadend-dmo 4.3~2590.g4980ee4c9

=== debian/changelog ===
tvheadend-dmo (4.3~2590.g4980ee4c9-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Jan 2026 15:30:43 +0100

## tvheadend-dmo 4.3~2597.g588612642

=== debian/changelog ===
tvheadend-dmo (4.3~2597.g588612642-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Jan 2026 08:46:16 +0100

## tvheadend-dmo 4.3~2600.g5abbcda4d

=== debian/changelog ===
tvheadend-dmo (4.3~2600.g5abbcda4d-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Jan 2026 09:17:03 +0100

## tvheadend-dmo 4.3~2604.g9968e6f30

=== debian/changelog ===
tvheadend-dmo (4.3~2604.g9968e6f30-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Feb 2026 14:10:18 +0100

## tvheadend-dmo 4.3~2631.g7c4011de1

=== debian/changelog ===
tvheadend-dmo (4.3~2631.g7c4011de1-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Feb 2026 16:07:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tvheadend-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://tvheadend.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libssl-dev,
  liburiparser-dev, python3, dvb-apps, libavahi-client-dev, libdbus-1-dev,
  libhdhomerun-dev, libdvbcsa-dev, libhdhomerun-dev (>= 20170815-2~), quilt,
